Package org.apache.sysds.runtime.matrix.data.sketch

## Class MatrixSketchFactory

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.sketch.MatrixSketchFactory

    public class MatrixSketchFactory
    extends Object

### Constructor Summary

Constructors
`MatrixSketchFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixSketch` `get​(Operator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixSketchFactory

    public MatrixSketchFactory()

### Method Detail

#### get

    public static MatrixSketch get​(Operator op)